#!/usr/local/bin/perl

use CGI qw(:all);
use CGI::Carp qw(fatalsToBrowser);

# Copyright (c) 2007 The Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#   1. Redistributions of source code must retain the above copyright
#      notice, this list of conditions, and the following disclaimer.
#   2. Redistributions in binary form must reproduce the above
#      copyright notice, this list of conditions, and the following
#      disclaimer in the documentation and/or other materials provided
#      with the distribution.
#   3. Redistributions must acknowledge that this software was
#      originally developed by the UCSF Computer Graphics Laboratory
#      under support by the NIH National Center for Research Resources,
#      grant P41-RR01081.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

$sacsform = new CGI;
#draw form for submission 
print $sacsform->header;
print $sacsform->start_html(-title=>'TMHMM Transmembrane Prediction  Analysis',
			-bgcolor=>'#ffff66');
print $sacsform->h1("TMHMM Transmembrane Prediction Page"),p;

print $sacsform->start_multipart_form(POST,"/TOPO2-run/tmhmm_anal.pl");

print "<b>Use this form to predict transmembrane segments in a protein.</b>",p;

print "This page will automatically generate a <b>TOPO2</b> image from the
prediction.",p;

print "Enter sequence ID (optional)",$sacsform->textfield(-name=>'seqid'),p;

print "Choose Input Type ",$sacsform->popup_menu(-name=>'seqtype',
 -values=>['pastein','accession'],
 -default=>'pastein',
 -labels=>{
'pastein'=>'Paste in Sequence (no comments)',
'accession'=>'Accession or GI'}),a({href=>'/help/seqinput.html'},' Input
Help'), br;

print $sacsform->textarea(-name=>'sequence',-rows=>10,-columns=>50),p;

print $sacsform->submit(-value=>'Submit');
print $sacsform->reset,p;

print "The TMHMM software has the following references:",br;
print "S. Moller, M.D.R. Croning, R. Apweiler, <i>Bioinformatics</i>, <b>17(7)</b>:646-653, July 2001",br;
print "A. Krogh,  B. Larsson, G. von Heijne, and E.L.L. Sonnhammer, <i>Journal of Molecular Biology</i>, 
<b>305(3)</b>:567-580, January 2001",p;

print $sacsform->endform;

print $sacsform->end_html;
